import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import seaborn as sns

mpg = sns.load_dataset("mpg")
iris = sns.load_dataset("iris")

iris_mod = iris[iris["species"] == "setosa"]

x_ci = [50, 80, "sd"]
plt.figure(figsize=(15, 5))
for i, xc in enumerate(x_ci):
    plt.subplot(1, len(x_ci), i + 1)
    plt.title(f"x_ci = {xc}")
    sns.regplot(x="sepal_length", y="sepal_width", data=iris_mod,
                x_ci=xc, x_bins=10)

plt.show()
